package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeQyjcxx;
import com.mudu.entity.dto.response.FxdwzResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (ASafeQyjcxx)表数据库访问层
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
public interface ASafeQyjcxxMapper extends BaseMapper<ASafeQyjcxx> {

    /**
     * 根据企业名称或信用代码查询数据
     *
     * @param qymc 企业名称
     * @param xybm 信用代码
     * @return 数据
     */
    ASafeQyjcxx findOneByqymcOrXybm(@Param("qymc") String qymc, @Param("xybm") String xybm);

    /**
     * 根据企业信用代码删除企业
     *
     * @param list 企业信用代码
     */
    void updateByTyshxybm(List<String> list);



    /**
     * 根据企业id查询a_safe_fxdwz的wzbh和xxbh
     *
     * @param enterPriseId 企业id
     * @return
     */
    FxdwzResponse findByEnterPeriseId(@Param("enterPriseId") String enterPriseId);
}

