package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeRwzq;
import com.mudu.entity.dto.response.RwzqUuidResponse;
import org.apache.ibatis.annotations.Param;

/**
 * (ASafeRwzq)表数据库访问层
 *
 * @author wu
 * @since 2024-03-18 16:58:08
 */
public interface ASafeRwzqMapper extends BaseMapper<ASafeRwzq> {
    /**
     * 获取巡查任务周期的最新一条id
     *
     * @return
     */
    RwzqUuidResponse getXcUuid();



    /**
     * 获取自查任务周期的最新一条id
     *
     * @return
     */
    RwzqUuidResponse getZcUuid();


    /**
     * 根据企业id和s_safe_fxd的fxdbh查询风险点的信息编号
     *
     * @param enterPriseId 企业id
     * @param fxdbh        风险点编号
     * @return
     */
    String findByEnIdFxd(@Param("enterPriseId") String enterPriseId, @Param("fxdbh") String fxdbh);
}

